CS::Animation::SkeletonAnimNodeSingle< FactoryType > Class Template Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
CS::Animation::SkeletonAnimNodeSingle< FactoryType > Class Template Reference

Base implementation of a CS::Animation::iSkeletonAnimNode with a single child. More...

`#include <cstool/animnodetmpl.h>`

Inheritance diagram for CS::Animation::SkeletonAnimNodeSingle< FactoryType >:

List of all members.

## Public Member Functions
iSkeletonAnimNode * | FindNode (const char *name)
| Find a sub-node with the given name.
iSkeletonAnimNodeFactory * | GetFactory () const
| Get the factory of this node.
## Protected Attributes
csRef< FactoryType > | factory
| Reference to the factory that instanced this node.

## Detailed Description

### template<typename FactoryType>
class CS::Animation::SkeletonAnimNodeSingle< FactoryType >

Base implementation of a CS::Animation::iSkeletonAnimNode with a single child.

FactoryType is the the of the node factory; it must be (publicly) derived from SkeletonAnimNodeFactory.

Definition at line 233 of file animnodetmpl.h.

## Member Function Documentation

template<typename FactoryType >

iSkeletonAnimNode* CS::Animation::SkeletonAnimNodeSingle< FactoryType >::FindNode | ( | const char * | name | ) | `[inline, virtual]`

Find a sub-node with the given name.

Implements CS::Animation::iSkeletonAnimNode.

Definition at line 245 of file animnodetmpl.h.

template<typename FactoryType >

iSkeletonAnimNodeFactory* CS::Animation::SkeletonAnimNodeSingle< FactoryType >::GetFactory | ( |  | ) | const`[inline, virtual]`

Get the factory of this node.

Implements CS::Animation::iSkeletonAnimNode.

Definition at line 240 of file animnodetmpl.h.

## Member Data Documentation

template<typename FactoryType >

csRef<FactoryType> CS::Animation::SkeletonAnimNodeSingle< FactoryType >::factory`[protected]`

Reference to the factory that instanced this node.

Definition at line 258 of file animnodetmpl.h.

The documentation for this class was generated from the following file:

- cstool/animnodetmpl.h